Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class CCLButtonBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--ccl.swing.CCLButtonBorder

All Implemented Interfaces:
  javax.swing.border.Border, java.io.Serializable

public class CCLButtonBorder
extends javax.swing.border.AbstractBorder

A standard button border that should look quite familiar to most people.

See Also:
  Serialized Form

Constructor Summary
`CCLButtonBorder()` Default constructor.

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns insets used for this border object.
`boolean` | `isBorderOpaque()` This border is always opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Active painting of the border.

Methods inherited from class javax.swing.border.AbstractBorder
`getBorderInsets, getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCLButtonBorder

    public CCLButtonBorder()

  Default constructor. To reduce memory using use factory method in SwingUtil.

See Also:
  `SwingUtil.createCCLButtonBorder()`

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Active painting of the border.

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`
  Overrides:
    `paintBorder` in class `javax.swing.border.AbstractBorder`

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns insets used for this border object.

  Specified by:
    `getBorderInsets` in interface `javax.swing.border.Border`
  Overrides:
    `getBorderInsets` in class `javax.swing.border.AbstractBorder`

### isBorderOpaque

    public boolean isBorderOpaque()

  This border is always opaque.

  Specified by:
    `isBorderOpaque` in interface `javax.swing.border.Border`
  Overrides:
    `isBorderOpaque` in class `javax.swing.border.AbstractBorder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD